<?php 
/*
Plugin Name: pagemash update
Plugin URI: http://ctlt.ubc.ca/
Description: Temporary update pageMash
Author: Enej Bajgoric
Version: 1.0
Author URI: http://ctlt.ubc.ca/
*/ 



/**
 * pageMash_udapte_pages_excludes function.
 * 
 * @access public
 * @param mixed $excludes
 * @return void
 */
function pageMash_udapte_pages_excludes($excludes){
	//merge array of hardcoded exclude pages with pageMash ones
	if(is_array(get_option('exclude_pages'))){
		$excludes = array_merge( get_option('exclude_pages'), $excludes );
	}
	sort($excludes);
	return $excludes;
}

/**
 * pageMash_udapte_show_notice function.
 * 
 * @access public
 * @return void
 */
function pageMash_udapte_show_notice() {

	if( !current_user_can('edit_theme_options') )
		return;
	$exclude_pages = get_option('exclude_pages');
	
	$locations = get_registered_nav_menus();
	$menus = wp_get_nav_menus();
	$menu_locations = get_nav_menu_locations();
	$has_menu = false;
	foreach($locations as $location => $description):
		
		foreach( $menus as $menu):
			
			if( isset( $menu_locations[ $location ] ) && $menu_locations[ $location ] == $menu->term_id )
				$has_menu = true;
				
		endforeach;
		
	endforeach;
	
	
	if( !empty( $exclude_pages ) && !$has_menu ): ?>
		<div class="error"><p>We have retired the pagemash plugin, please update to your site to use <a href="<?php echo admin_url('nav-menus.php');?>" target="_blank">custom menus</a>.</p>
		<p>More information on <a href="http://wiki.ubc.ca/Documentation:UBC_Content_Management_System/CLF_Theme/Creating_Custom_Menus" target="_blank">how to create a custom menu</a> and <a href="http://wiki.ubc.ca/Documentation:UBC_Content_Management_System/How_to/How_do_I_customize_the_top_navigation_menu%3F" target="_blank">how to use customize the top navigation menu</a>. </p>
		</div>
	<?php
	elseif( $has_menu && !empty( $exclude_pages ) ) :
		// remove the delete the option 
		delete_option('exclude_pages');
	endif;
	
	// if( $exclude_pages )
	
	
	
	
}

add_action('all_admin_notices',  'pageMash_udapte_show_notice' );
add_filter('wp_list_pages_excludes', 'pageMash_udapte_pages_excludes'); //add exclude pages to wp_list_pages funct